/*
 * --------------------------------------------------------------------------------
 * <copyright company="Aspose">
 *   Copyright (c) 2019 Aspose.Words for Cloud
 * </copyright>
 * <summary>
 *   Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 * 
 *  The above copyright notice and this permission notice shall be included in all
 *  copies or substantial portions of the Software.
 * 
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 *  SOFTWARE.
 * </summary>
 * --------------------------------------------------------------------------------
 */

package com.aspose.words.cloud.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Utility class for  serialization.
 */
@ApiModel(description = "Utility class for  serialization.")

public class XmlColor {
  @SerializedName("Web")
  private String web = null;

  @SerializedName("Alpha")
  private Integer alpha = null;

  public XmlColor web(String web) {
    this.web = web;
    return this;
  }

   /**
   * Gets or sets hTML string color representation.
   * @return web
  **/
  @ApiModelProperty(value = "Gets or sets hTML string color representation.")
  public String getWeb() {
    return web;
  }

  public void setWeb(String web) {
    this.web = web;
  }

  public XmlColor alpha(Integer alpha) {
    this.alpha = alpha;
    return this;
  }

   /**
   * Gets or sets alpha component of color structure.
   * @return alpha
  **/
  @ApiModelProperty(value = "Gets or sets alpha component of color structure.")
  public Integer getAlpha() {
    return alpha;
  }

  public void setAlpha(Integer alpha) {
    this.alpha = alpha;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    XmlColor xmlColor = (XmlColor) o;
    return Objects.equals(this.web, xmlColor.web) &&
        Objects.equals(this.alpha, xmlColor.alpha);
  }

  @Override
  public int hashCode() {
    return Objects.hash(web, alpha);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class XmlColor {\n");
    
    sb.append("    web: ").append(toIndentedString(web)).append("\n");
    sb.append("    alpha: ").append(toIndentedString(alpha)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

